osgViewer::ViewConfig Class Reference

`#include <View>`

Inheritance diagram for osgViewer::ViewConfig:

## Public Member Functions

| ViewConfig ()
| ViewConfig (const ViewConfig &rhs, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgViewer, ViewConfig)
virtual void | configure (osgViewer::View &) const
virtual osg::DisplaySettings * | getActiveDisplaySetting (osgViewer::View &view) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Base class for View configurations for setting up Camera and Windowing.

## Constructor & Destructor Documentation

## ViewConfig() [1/2]

osgViewer::ViewConfig::ViewConfig | ( |  | ) |

inline

Referenced by osgViewer::AcrossAllScreens::AcrossAllScreens(), META_Object(), osgViewer::PanoramicSphericalDisplay::PanoramicSphericalDisplay(), osgViewer::SingleScreen::SingleScreen(), osgViewer::SingleWindow::SingleWindow(), osgViewer::SphericalDisplay::SphericalDisplay(), ViewConfig(), and osgViewer::WoWVxDisplay::WoWVxDisplay().

## ViewConfig() [2/2]

osgViewer::ViewConfig::ViewConfig | ( | const ViewConfig & | rhs,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

inline

References osg::Object::Object(), osg::CopyOp::SHALLOW_COPY, and ViewConfig().

## Member Function Documentation

## configure()

virtual void osgViewer::ViewConfig::configure | ( | osgViewer::View & |  | ) | const

inline virtual

configure method that is overridden by Config subclasses.

Reimplemented in osgViewer::AcrossAllScreens, osgViewer::PanoramicSphericalDisplay, osgViewer::SingleScreen, osgViewer::SingleWindow, osgViewer::SphericalDisplay, and osgViewer::WoWVxDisplay.

## getActiveDisplaySetting()

virtual osg::DisplaySettings * osgViewer::ViewConfig::getActiveDisplaySetting | ( | osgViewer::View & | view | ) | const

virtual

convenience method for getting the relevant display settings to use.

## META_Object()

osgViewer::ViewConfig::META_Object | ( | osgViewer | ,
|  | ViewConfig | )

References ViewConfig().

The documentation for this class was generated from the following file:

- osgViewer/View